# EventBase::gotExit

(PECL event >= 1.2.6-beta)

EventBase::gotExit — Checks if the event loop was told to exit

### Description

public EventBase::gotExit ( void ) : bool

Checks if the event loop was told to exit by EventBase::exit() .

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE`, event loop was told to exit by EventBase::exit() . Otherwise `FALSE`.

### See Also

- EventBase::exit() - Stop dispatching events
- EventBase::stop() - Tells event_base to stop dispatching events
- EventBase::gotStop() - Checks if the event loop was told to exit